//!
//! @file config.h,v
//!
//! Copyright (c) 2006 Atmel.
//!
//! @brief {at90pwm2/3p̌`Ԑݒ`̻޽񋟂܂B
//!		   nˑĳ`ԐݒLq܂B
//!		   ̧ق͌n̍L͈͂̌`Ԑݒ𱸾邽߂ɑS ̧قŲݸٰނ
//!		   ܂B
//!
//! @version 1.5
//!

//_____ ݸٰ _______________________________________________________________
#include "lib_mcu/compiler.h"
#include "lib_mcu/mcu.h"
#include "inavr.h"

#ifndef _CONFIG_H_
#define _CONFIG_H_
#endif

#define BOARD_ID	1	/* 0:m, 1:MC100, 2:MC200 */
#define SOFT_ID		2	/* 0:m, 1:BLDCmL, 2:BLDC, 3:BLDCmȂ */
#define REV_ID		1

/*-------------- UART LIB`Ԑݒ ---------------*/

#define BAUDRATE	38400
#define FOSC		16000

#define uart_putchar putchar

/*----------- ̗Lpϸۖ -----------*/
#define Set_PC7()		PORTC |=  (1<<PC7)
#define Clear_PC7()		PORTC &= ~(1<<PC7)
#define Toggle_PC7()	PINC  |=  (1<<PINC7)

#define Set_PC1()		PORTC |=  (1<<PC1)
#define Clear_PC1()		PORTC &= ~(1<<PC1)
#define Toggle_PC1()	PINC  |=  (1<<PINC1)

#define Set_PE1()		PORTE |=  (1<<PE1)
#define Clear_PE1()		PORTE &= ~(1<<PE1)
#define Toggle_PE1()	PINE  |=  (1<<PINE1)

#define Set_PE2()		PORTE |=  (1<<PE2)
#define Clear_PE2()		PORTE &= ~(1<<PE2)
#define Toggle_PE2()	PINE  |=  (1<<PINE2)

#define USE_COMP0
#define COMPARATOR0_IT				1	//!< 0:r튄荞݋֎~A1:r튄荞݋
#define COMPARATOR0_IT_EVENT		0	//!< r튄荞ݎ=> 0:؂ւA2:~[A3:㏸[
#define COMPARATOR0_NEGATIVE_INPUT	2	//!< r픽]͑I=> 0:Vref/6.40A1:Vref/3.20A2:Vref/2.13A3:Vref/1.60A4:ACMPMA5:D/Aϊo

/* MC100 */
#define USE_COMP1
#define COMPARATOR1_IT				1	//!< 0:r튄荞݋֎~A1:r튄荞݋
#define COMPARATOR1_IT_EVENT		0	//!< r튄荞ݎ=> 0:؂ւA2:~[A3:㏸[
#define COMPARATOR1_NEGATIVE_INPUT	2	//!< r픽]͑I=> 0:Vref/6.40A1:Vref/3.20A2:Vref/2.13A3:Vref/1.60A4:ACMPMA5:D/Aϊo

/* MC100 */
#define USE_COMP2
#define COMPARATOR2_IT				1	//!< 0:r튄荞݋֎~A1:r튄荞݋
#define COMPARATOR2_IT_EVENT		0	//!< r튄荞ݎ=> 0:؂ւA2:~[A3:㏸[
#define COMPARATOR2_NEGATIVE_INPUT	2	//!< r픽]͑I=> 0:Vref/6.40A1:Vref/3.20A2:Vref/2.13A3:Vref/1.60A4:ACMPMA5:D/Aϊo

// 64MHz(PLLg)/1333/2=24kHz(PWMg)
#define	MAX_PWM						1333

#define DEAD_TIME					32	//!< 32˒َԁ64MHz0.5s
#define MAX_AMPLITUDE				((MAX_PWM / 2) - DEAD_TIME)

#define AMPLITUDE_IN_OPEN_LOOP		600
#define REGULATION_MODE				2	/* 1:JHA2:PI */

#define ADVANCE						0	/* ʰ޳ˑÂɂ͒萔łB*/

#define MAX_THETA					80	// ~1/61ɓ

#define K_SPEED						39500
//!< K_SPEED=(255*60*4)/(p*t_timer0*speed_max(rpm))
//!< \n t_timer0:16MHz48s
//!< \n p:ɂ̑ΐ
//!< \n 8000rpm/4/16MHzK_SPEED=39500
//!< \n x(rpm)=葬x(measured_speed)*(60*4)/(K_SPEED*t_timer0*p)
//!< \n (rpmł̒l𓾂邽߂Ɍʂ31.65{Ȃ΂Ȃ܂B)

/**
 * @brief d@2̏Ԃ`܂B
 */
  enum {RUN = TRUE, STOP = FALSE};

/**
 * @brief d@̕(CWCCW)`܂B
 */
  enum {CCW = TRUE, CW = FALSE};
