/*C**************************************************************************
* NAME:         uart_lib.c
*----------------------------------------------------------------------------
* Copyright (c) 2004 Atmel.
*----------------------------------------------------------------------------
* J:	mc100_bldc_sinus_0_0_5
* :1.20.4.5
*----------------------------------------------------------------------------
* ړI:
* ̧قUARTʂčŏVT100[񋟂AƎI/Oxƌ݊łB
*****************************************************************************/

/*_____ ݸٰ ______________________________________________________________*/
#include "config.h"
#include "lib_mcu/uart/uart_lib.h"

/*_____ S ` ____________________________________________________________*/

/*_____ ` _________________________________________________________________*/

/*_____ ϸ __________________________________________________________________*/

bit uart_test_hit (void)
{
return Uart_rx_ready();
}

bit uart_init (void)
{
#ifndef UART_U2
  Uart_set_baudrate(BAUDRATE);
  Uart_hw_init(UART_CONFIG);
#else
  Uart_set_baudrate(BAUDRATE/2);
  Uart_double_bdr();
  Uart_hw_init(UART_CONFIG);

#endif
  Uart_enable();
  return TRUE;
}

r_uart_ptchar uart_putchar (p_uart_ptchar ch)
{
  while(!Uart_tx_ready());
  Uart_set_tx_busy();			// Mɐ旧ďɑZ׸ނݒ
  Uart_send_byte(ch);
  return ch;
}

char uart_getchar (void)
{
  register char c;

  while(!Uart_rx_ready());
  c = Uart_get_byte();
  Uart_ack_rx_byte();
  return c;
}
